# [dromo](www.dromo.io)

[![npm version](https://badge.fury.io/js/dromo-uploader-js.svg)](https://badge.fury.io/js/dromo-uploader-js)

You can view a live [demo here](https://dromo.io/demos/javascript/)

## Install
To get add Dromo to your own project:

```bash
npm install --save dromo-uploader-js
```

## Usage

Check out our [developer documentation here](https://developer.dromo.io/)

```js
<script type="text/javascript">
  const fields = [
    { 
      label: "Name", 
      key: "name" 
    },
    {
      label: "Email",
      key: "email_address"
    }
  ];

  const settings = {
    importIdentifier: "Contacts"
  };

  const user = {
    id: "1",
    name: "Jane Doe",
    email: "jane@dromo.io",
    companyId: "Dromo",
    companyName: "12345"
  }

  const dromo = new DromoUploader("LICENSE_KEY", fields, settings, user);

  dromo.onResults(function (response) {
    // Do something with the data here
    return "Done!";
  });
</script>

<div id="root">
  <button onclick="dromo.open()">Open Dromo</button>
</div>
```
