import { EStepHook, IBeforeFinishCallback, IBeforeFinishOutput, IBulkRowHook, IColumnHook, IColumnHookInput, IColumnHookOutput, IParseFileCallback, IPublicConnectionMethods, IResultMetadataWithValues, IReviewStepData, IReviewStepPostHooksData, IRowDeleteHook, IRowHook, IRowHookInput, IRowHookOutputInternal, IStepHook, IUploadStepData } from "./interfaces";
export type HookErrorHandlerFn = (err: unknown, hookType: string) => void;
export declare const consoleErrorHandler: HookErrorHandlerFn;
export declare const executeColumnHooks: (hooks: IColumnHook[], data: IColumnHookInput[], errorHandler: HookErrorHandlerFn) => Promise<IColumnHookOutput[]>;
export declare const executeRowHooks: (data: IRowHookInput[], mode: "init" | "update", rowHooks: IRowHook[], bulkRowHooks: IBulkRowHook[], errorHandler: HookErrorHandlerFn) => Promise<IRowHookOutputInternal[]>;
export declare const executeRowDeleteHooks: (deletedRows: IRowHookInput[], rowDeleteHooks: IRowDeleteHook[], errorHandler: HookErrorHandlerFn) => Promise<void[]>;
export declare const executeStepHooks: (step: EStepHook, data: IUploadStepData | IReviewStepData | IReviewStepPostHooksData, stepHooks: IStepHook[], instance: IPublicConnectionMethods, errorHandler: HookErrorHandlerFn) => Promise<void>;
export declare const executeBeforeFinishCallback: (data: Record<string, unknown>[], metadata: IResultMetadataWithValues, beforeFinishCallback: IBeforeFinishCallback, instance: IPublicConnectionMethods, errorHandler: HookErrorHandlerFn) => Promise<IBeforeFinishOutput>;
export declare const executeFileParser: (buffer: ArrayBuffer, fileName: string, errorHandler: HookErrorHandlerFn, fileParserCallback: IParseFileCallback) => Promise<string[][] | void>;
